Skip to main content
POST
Generate KYC Link

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

userId
string<uuid>
required

The unique identifier for the user

Body

application/json
returnURL
string
required

The absolute http or https URL the user is redirected to after completing verification.

Example:

"https://yourapp.com/kyc/complete"

Response

create kyc link response

url
string

The hosted verification link to send to the user

Example:

"https://verify.aiprise.com/?verification_session_id=0686495c-588c-413a-a28f-203a8cde4e7a"

expiresAt
number

Unix timestamp (seconds) when the link expires. Omitted in the rare case the expiry is unknown.

Example:

1781827200